%ifarch %{ocaml_native_compiler}
%ifarch x86_64
%global num_arch amd64
%else
%ifarch aarch64
%global num_arch arm64
%else
%ifarch ppc64le
%global num_arch power
%else
%global num_arch %{_arch}
%endif
%endif
%endif
%else
%global num_arch none
%endif

Name:           ocaml-num
Version:        1.5
Release:        %mkrel 1
Summary:        Legacy Num library for arbitrary-precision integer and rational arithmetic
Group:          Development/OCaml
License:        LGPLv2+ with exceptions
URL:            https://github.com/ocaml/num
Source0:        https://github.com/ocaml/num/archive/v%{version}/%{name}-%{version}.tar.gz

# Downstream patch to add -g flag.
Patch5:         0005-src-Add-g-flag-to-mklib.patch

BuildRequires:  make
BuildRequires:  ocaml
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-rpm-macros

# Do not require ocaml-compiler-libs at runtime
%global __ocaml_requires_opts -i Longident -i Topdirs

%description
This library implements arbitrary-precision arithmetic on big integers
and on rationals.

This is a legacy library. It used to be part of the core OCaml
distribution (in otherlibs/num) but is now distributed separately. New
applications that need arbitrary-precision arithmetic should use the
Zarith library (https://github.com/ocaml/Zarith) instead of the Num
library, and older applications that already use Num are encouraged to
switch to Zarith. Zarith delivers much better performance than Num and
has a nicer API.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%autosetup -n num-%{version} -p1


%build
make opam-modern PROFILE=release ARCH=%{num_arch} FLAMBDA=true


%check
make -j1 test PROFILE=release ARCH=%{num_arch} FLAMBDA=true


%install
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/stublibs
%make_install ARCH=%{num_arch}
%ocaml_files


%files -f .ofiles
%doc Changelog README.md
%license LICENSE


%files devel -f .ofiles-devel
%license LICENSE


%changelog
* Sun Apr 06 2025 pterjan <pterjan> 1.5-1.mga10
+ Revision: 2174028
- Update to 1.5

* Wed May 18 2022 pterjan <pterjan> 1.4-4.mga9
+ Revision: 1858731
- Rebuild for ocaml 4.14

* Tue Mar 29 2022 umeabot <umeabot> 1.4-3.mga9
+ Revision: 1832479
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 1.4-2.mga9
+ Revision: 1750852
- Update to final tarball + Rebuild for ocaml 4.13.1

* Wed Mar 03 2021 tv <tv> 1.4-1.mga9
+ Revision: 1697273
- 1.3 (+bits of a pre-release of num 1.4)

* Sat Aug 22 2020 tv <tv> 1.1-8.mga8
+ Revision: 1617825
- Rebuild for new ocaml deps generator

* Fri Feb 28 2020 umeabot <umeabot> 1.1-7.mga8
+ Revision: 1551165
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 1.1-6.mga8
+ Revision: 1543575
- Mageia 8 Mass Rebuild

* Tue Jan 21 2020 tv <tv> 1.1-5.mga8
+ Revision: 1481947
- rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 1.1-4.mga7
+ Revision: 1324054
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 1.1-3.mga7
+ Revision: 1323769
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 1.1-2.mga7
+ Revision: 1299901
- Mageia 7 Mass Rebuild

* Mon Nov 27 2017 tv <tv> 1.1-1.mga7
+ Revision: 1180065
- imported package ocaml-num

